Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
FileDialogData Struct Reference
Using System Dialogs

`#include <fileDialog.h>`

## Public Types
enum | DialogStyle { FDS_OPEN = BIT(0), FDS_SAVE = BIT(1), FDS_OVERWRITEPROMPT = BIT(2), FDS_MUSTEXIST = BIT(3), FDS_MULTIPLEFILES = BIT(4), FDS_CHANGEPATH = BIT(5), FDS_BROWSEFOLDER = BIT(6) }

## Public Member Functions
| FileDialogData ()
| ~FileDialogData ()

## Public Attributes
U8 | mStyle
| Specifies the Style of the File Dialog. More...
StringTableEntry | mFilters
| List of Filters pipe separated e.g. "PNG Files (*.png)|*.png|JPG Files (*.jpg)|*.jpg". More...
StringTableEntry | mFile
| Should be referenced when dialogStyle MultipleFiles is NOT used: the file path of the user selected file. More...
StringTableEntry | mDefaultPath
| Default path of dialog. More...
StringTableEntry | mDefaultFile
| Default selected file of dialog. More...
StringTableEntry | mTitle
| Title to display in file dialog. More...
FileDialogOpaqueData * | mOpaqueData
| Stores platform specific info about the dialog. More...

## Member Enumeration Documentation

enum DialogStyle

Enumerator
FDS_OPEN | This is an open dialog.
FDS_SAVE | This is a save dialog.
FDS_OVERWRITEPROMPT | Can only be used in conjunction with style SaveDialog: prompt for a confirmation if a file will be overwritten.
FDS_MUSTEXIST | The user may only select files that actually exist.
FDS_MULTIPLEFILES | Can only be used in conjunction with style OpenDialog: allows selecting multiple files.
FDS_CHANGEPATH | Change the current working path to the directory where the file(s) chosen by the user are.
FDS_BROWSEFOLDER | Select folders instead of files.

## Constructor & Destructor Documentation

FileDialogData | ( |  | ) |

~FileDialogData | ( |  | ) |

## Member Data Documentation

StringTableEntry mDefaultFile

Default selected file of dialog.

StringTableEntry mDefaultPath

Default path of dialog.

StringTableEntry mFile

Should be referenced when dialogStyle MultipleFiles is NOT used: the file path of the user selected file.

StringTableEntry mFilters

List of Filters pipe separated e.g. "PNG Files (*.png)|*.png|JPG Files (*.jpg)|*.jpg".

FileDialogOpaqueData* mOpaqueData

Stores platform specific info about the dialog.

U8 mStyle

Specifies the Style of the File Dialog.

See also
  DialogStyle

StringTableEntry mTitle

Title to display in file dialog.

The documentation for this struct was generated from the following files:

- platform/nativeDialogs/fileDialog.h
- platform/nativeDialogs/fileDialog.cc